<template>
  <rui-button :icon="debouncing ? 'check' : 'duplicate'"
              :variant="debouncing ? 'recording' : null"
              caption="Copy"
              :disabled="!apiAvailable || !content"
              text
              @click="copy" />
</template>

<script>
import { clipboardCopySupported, copyToClipboard } from '../utils/copy_from_element.js'

export default {
  name: 'CopyToClipboard',
  props: {
    content: { required: false, type: String, default: '' },
  },
  data () {
    return {
      apiAvailable: clipboardCopySupported(),
      debouncing: false,
    }
  },
  methods: {
    copy () {
      this.debouncing = true
      copyToClipboard(this.content)
      setTimeout(() => { this.debouncing = false }, 500)
    },
  },
}
</script>
